Bug 807012 - Remove possibly unused JARs from gatein.ear/lib
Remove possibly unused JARs from gatein.ear/lib
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
All All
high Severity high
: ---
: 5.2.2.ER04
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 14:44 EDT by William Antônio
Modified: 2013-04-30 19:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the gatein.ear archive contained JAR files that were not required in the enterprise version of the product. The fix removes the unnecessary JAR files. JAR files applicable to both community and enterprise builds are retained for platform stability.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8735 by hfnukal at 2012-06-21 07:12:04 EDT (show)
8735 by hfnukal at 2012-06-21 07:12:04 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807012 - Remove possibly unused JARs from gatein.ear/lib

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/serverAddon/gatein.ear/pom.xml (+121 / -115)
8737 by hfnukal at 2012-06-22 08:57:31 EDT (show)
8737 by hfnukal at 2012-06-22 08:57:31 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807012 - Remove possibly unused JARs from gatein.ear/lib

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/serverAddon/gatein.ear/pom.xml (+7 / -2)
8808 by hfnukal at 2012-08-01 11:21:41 EDT (show)
8808 by hfnukal at 2012-08-01 11:21:41 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807012 - Remove possibly unused JARs from gatein.ear/lib

4 files changed:

  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/serverAddon/gatein.ear/pom.xml (+6 / -0)
  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/src/build.xml (+1 / -3)
  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/src/main/resources/eap/CVE-2009-2625/xercesImpl-2.9.1-patch-01.jar (+0 / -0)
  • svn:mime-type (+0 / -0)


Attachments (Terms of Use)
TattleTale for generating reports about the JAR usage in gatein.ear (13.52 MB, application/zip)
2012-03-26 14:44 EDT, William Antônio
no flags Details

  None (edit)
Description William Antônio 2012-03-26 14:44:29 EDT
Created attachment 572840 [details]
TattleTale for generating reports about the JAR usage in gatein.ear

We have some JARs that are not usually in a JBoss production environment, but they are packed with gatein.ear. You can see than in $PROFILE/deploy/gatein.ear. Here are some libraries:

xpp3_min-1.1.4c.jar
xercesImpl-2.9.1.jar // EAP deploys an endorsed version $JBHOME/lib/endorsed/xercesImpl.jar
servlet-api-2.5.jar
servlet-api-6.0.29.jar
slf4j-api-1.5.8.jar // EAP deploys at common/lib/slf4j-api.jar
junit-3.8.1.jar // only needed for tests
jsr250-api-1.0.jar // EAP deploys at lib/jboss-javaee.jar
json_simple-r1.jar
json-simple-1.1.jar
jgroups-2.6.13.GA.jar
jgroups-2.11.1.Final.jar 
geronimo-stax-api_1.0_spec-1.0.1.jar  // already present for Java 6, the certified version to run EPP 5.2
jacorb-2.2.3-jonas-patch-20071018.jar      
jacorb-idl-2.2.3-jonas-patch-20071018.jar  
el-api-6.0.29.jar   // EAP deploys at common/lib/el-api.jar
concurrent-1.3.4.jar // EAP deploys at lib/concurrent.jar
commons-logging-api-1.1.jar  // EAP already deploys at common/lib/commons-logging.jar
commons-logging-1.1.1.jar    // EAP already deploys at common/lib/commons-logging.jar
commons-collections-3.2.1.jar // EAP already deploys at common/lib/commons-collections.jar
commons-beanutils-core-1.7.0.jar is much older than commons-beanutils-1.8.3.jar
ant-1.7.0.jar
ant-launcher-1.7.0.jar
annotations-api-6.0.29.jar // EAP already deploys at lib/jboss-javaee.jar

We executed TattleTale in gatein.ear to create a report of all the used libraries in EPP. The resulting report is attached.

We would like to ask to review these libraries if possible remove the unused ones from the next EPP release.
Comment 1 hfnukal@redhat.com 2012-06-21 07:19:16 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Archive gatein.ear contains dupliucated jars.
Jars are removed.
Comment 2 Michal Vanco 2012-07-20 09:04:16 EDT
Honzo, can you please confirm which JAR archives had been removed from above list? Thanks
Comment 3 hfnukal@redhat.com 2012-07-25 06:15:32 EDT
removed - xpp3_min-1.1.4c.jar
Kepp this as it differnts from default one - xercesImpl-2.9.1.jar // EAP deploys an endorsed version $JBHOME/lib/endorsed/xercesImpl.jar
removed - servlet-api-2.5.jar
removed - servlet-api-6.0.29.jar
removed - slf4j-api-1.5.8.jar // EAP deploys at common/lib/slf4j-api.jar
removed - junit-3.8.1.jar // only needed for tests
removed - jsr250-api-1.0.jar // EAP deploys at lib/jboss-javaee.jar
kept - json_simple-r1.jar
removed - json-simple-1.1.jar
removed -jgroups-2.6.13.GA.jar
removed -jgroups-2.11.1.Final.jar 
removed -geronimo-stax-api_1.0_spec-1.0.1.jar  // already present for Java 6, the certified version to run EPP 5.2
removed -jacorb-2.2.3-jonas-patch-20071018.jar      
removed -jacorb-idl-2.2.3-jonas-patch-20071018.jar  
removed - el-api-6.0.29.jar   // EAP deploys at common/lib/el-api.jar
removed - concurrent-1.3.4.jar // EAP deploys at lib/concurrent.jar
removed - commons-logging-api-1.1.jar  // EAP already deploys at common/lib/commons-logging.jar
removed there is 2.0.4-GA - commons-logging-1.1.1.jar    // EAP already deploys at common/lib/commons-logging.jar
kept - commons-collections-3.2.1.jar // EAP already deploys at common/lib/commons-collections.jar
removed - commons-beanutils-core-1.7.0.jar is much older than commons-beanutils-1.8.3.jar
removed - ant-1.7.0.jar
removed - ant-launcher-1.7.0.jar
removed - annotations-api-6.0.29.jar // EAP already deploys at lib/jboss-javaee.jar

Files not removed broke the build or runtime.
Comment 4 Michal Vanco 2012-07-27 09:01:32 EDT
commons-collection-3.2.1.jar is kept, but it's already deployed at common/lib/commons-collections.jar, is there any reason to keep it in gatein.ear/lib?
Other archives were removed properly.
And xercesImpl-2.9.1-patch-01.jar can be probably removed as well, because same version is present at lib/endorsed
Comment 5 Jared MORGAN 2012-08-20 20:48:37 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,2 +1 @@
-Archive gatein.ear contains dupliucated jars.
+It was discovered that the gatein.ear archive contained JAR files that were not required in the enterprise version of the product. The fix removes the unnecessary JAR files. JAR files applicable to both community and enterprise builds are  retained for platform stability.-Jars are removed.
Comment 6 vramik 2012-08-27 11:30:00 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.